@ECHO off

pushd %~dp0

SET ReleaseFolder=%~1
SET SolutionFolder=%~2
SET ProjectName=%~3
SET ConfigurationName=%~4
SET PlatformName=%~5

ECHO ReleaseFolder=%ReleaseFolder%
ECHO SolutionFolder=%SolutionFolder%
ECHO ProjectName=%ProjectName%
ECHO ConfigurationName=%ConfigurationName%
ECHO PlatformName=%PlatformName%

REM Get current OS architecture
SET ArchitectureName=X86
IF /I "%PlatformName%"=="Any CPU" (
	REM Detect OS architecture
	FOR /f %%a in ('wmic os get osarchitecture^|find /i "-bit"') DO SET "Bits=%%a"
	ECHO Current OS is %Bits%
	IF /I "%Bits%"=="64-bit" SET ArchitectureName=AMD64
) ELSE IF /I "%PlatformName%"=="x64" (
	SET ArchitectureName=AMD64
)

SET FinalReleaseFolder=%SolutionFolder%\FinalRelease\%ProjectName%\%ConfigurationName%\%PlatformName%

ECHO FinalReleaseFolder=%FinalReleaseFolder%
ECHO ManagedDLLFolder=%ManagedDLLFolder%

:CopyToFinalReleaseFolder
REM Create folders
IF NOT EXIST "%FinalReleaseFolder%" mkdir "%FinalReleaseFolder%"

REM Create exclusion list
ECHO exclusion.txt>exclusion.txt
ECHO .exe.config>>exclusion.txt
IF NOT "%ConfigurationName%"=="Debug" ECHO .pdb>>exclusion.txt
ECHO .vshost>>exclusion.txt
ECHO .log>>exclusion.txt
ECHO .tmp>>exclusion.txt

REM Copy the output folder to final release folder
xcopy "%ReleaseFolder%." "%FinalReleaseFolder%" /E /Y /I /F /EXCLUDE:exclusion.txt

REM Delete exclusion list
DEL /F exclusion.txt

popd
EXIT