﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;
using AirFusion;
using AirFusion.WebService;
using AirFusion.Common;
using AirFusion.Manager;
using AirFusion.Manager.DeviceManager;

namespace AirFusion
{
	/// <summary>
	/// Interaction logic for OneButtonDlg.xaml
	/// </summary>
	public partial class OneButtonDlg : UserControl
	{
		#region Events

		public event EventHandler<UserControlEventArgs> UserControlEvent;

		#endregion

		#region Properties

		private UserControlEventType _commandType = UserControlEventType.None;
		public UserControlEventType CommandType
		{
			get
			{
				return _commandType;
			}

			set
			{
				_commandType = value;
			}
		}

		#endregion

		#region Constructor & Dispose

		public OneButtonDlg()
		{
			InitializeComponent();
		}

		#endregion

		#region Private Methods

		private void ResetMessage()
		{
			this.CommandType = UserControlEventType.None;
			this.txtDialogTitle.Text = string.Empty;
			this.txtDialogDetail.Text = string.Empty;
			this.imgPresent.Source = null;
		}

		#endregion

		#region UI Event Callbacks

		private void btnAccept_Click(object sender, RoutedEventArgs e)
		{
			if (null != this.UserControlEvent)
			{
				this.UserControlEvent(this, new UserControlEventArgs(this.CommandType));
			}

			this.ResetMessage();
		}

		#endregion
	}
}
