﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AirFusion
{
	/// <summary>
	/// Interaction logic for QRCodePage.xaml
	/// </summary>
	public partial class QRCodePage : UserControl, INotifyPropertyChanged
	{
		#region Events

		public event EventHandler<UserControlEventArgs> UserControlEvent;
		public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

		#endregion

		#region Properties

		private BitmapImage _qRCodeImage = null;
		public BitmapImage QRCodeImage
		{
			get
			{
				return _qRCodeImage;
			}

			set
			{
				if (_qRCodeImage != value)
				{
					_qRCodeImage = value;
					this.OnPropertyChanged("QRCodeImage");
				}
			}
		}
		#endregion

		#region Constructors & Dispose

		public QRCodePage()
		{
			InitializeComponent();
			this.DataContext = this;
		}

		#endregion

		#region Protected Methods

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
			}
		}

		#endregion

		#region UI Event Callbacks

		private void UserControl_IsVisibleChanged(object sender, DependencyPropertyChangedEventArgs e)
		{
			if (this.Visibility != System.Windows.Visibility.Visible)
			{
 				if(null != this.QRCodeImage)
				{
					this.QRCodeImage = null;
				}
			}
		}

		private void btnPageBack_Click(object sender, RoutedEventArgs e)
		{
			this.QRCodeImage = null;

			if (null != this.UserControlEvent)
			{
				this.UserControlEvent(this, new UserControlEventArgs(UserControlEventType.PageBack, PageType.QRCode));
			}
		}

		#endregion
	}
}
