﻿using System;

namespace AirFusion.Common
{
	/// <summary>
	/// Represents the attribute of a specific type converter.
	/// </summary>
	[AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
	public sealed class TypeConverterTypeAttribute : Attribute
	{
		/// <summary>
		/// Gets or sets the type of the converter.
		/// </summary>
		public Type ConverterType { get; set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="TypeConverterTypeAttribute"/> class.
		/// </summary>
		/// <param name="converterType">The type of the converter.</param>
		public TypeConverterTypeAttribute(Type converterType)
		{
			this.ConverterType = converterType;
		}
	}
}
