﻿using System;

namespace AirFusion.Common.RegistryHolders
{
	/// <summary>
	/// Represents the converter type attribute of a property.
	/// </summary>
	[AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
	public sealed class RegistryStoreConverterTypeAttribute : Attribute
	{
		/// <summary>
		/// Gets the type of the converter.
		/// </summary>
		public Type ConverterType { get; private set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="RegistryStoreConverterTypeAttribute"/> class.
		/// </summary>
		/// <param name="converterType">The type of the converter.</param>
		public RegistryStoreConverterTypeAttribute(Type converterType)
		{
			this.ConverterType = converterType;
		}
	}
}
