﻿namespace AirFusion.Common.Wmi.Win32
{
	/// <summary>
	/// The Win32_BaseBoard WMI class represents a baseboard, which is also known as a motherboard or system board.
	/// </summary>
	[ParameterValue("Win32_Baseboard")]
	public class WmiBaseBoard : Cim.WmiCard
	{
		/// <summary>
		/// Gets the array that represents the configuration of the jumpers and switches located on the baseboard.
		/// </summary>
		/// <example>
		/// JP2: 1-2 Cache Size is 256K, 2-3 Cache Size is 512K, SW1-1: Close to Disable On Board Video
		/// </example>
		[ParameterValue("ConfigOptions")]
		public string[] ConfigOptions { get; internal set; }

		/// <summary>
		/// Gets the baseboard part number defined by the manufacturer.
		/// </summary>
		[ParameterValue("Product")]
		public string Product { get; internal set; }

		/// <summary>
		/// Initializes the object.
		/// </summary>
		public WmiBaseBoard()
		{
			this.ConfigOptions = null;
			this.Product = null;
		}
	}
}