﻿using AirFusion.Common;
using Newtonsoft.Json;
using System;
using System.Diagnostics;
using System.Net;
using System.Net.Http;
using System.Text;
using System.Threading;

namespace AirFusion.WebService.Adapters
{
	/// <summary>
	/// Represents the pairing status data.
	/// </summary>
	public sealed class PairingStatusInfo
	{
		/// <summary>
		/// Gets or sets the pairing status.
		/// </summary>
		[JsonProperty("PairingStatus")]
		public bool? PairingStatus { get; set; }

		/// <summary>
		/// Gets or sets the session key.
		/// </summary>
		[JsonProperty("SessionKey")]
		public string SessionKey { get; set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="PairingStatusInfo"/> class.
		/// </summary>
		internal PairingStatusInfo()
		{
			this.PairingStatus = null;
			this.SessionKey = null;
		}

		/// <summary>
		/// Returns a <see cref="System.String" /> that represents this instance.
		/// </summary>
		/// <returns>
		/// A <see cref="System.String" /> that represents this instance.
		/// </returns>
		public override string ToString()
		{
			StringBuilder builder = new StringBuilder();
			builder.AppendLine(this.GetType().GetFullName() + ".PairingStatus: " + (this.PairingStatus.HasValue ? this.PairingStatus.Value.ToString() : "N/A"));
			builder.AppendLine(this.GetType().GetFullName() + ".SessionKey: " + this.SessionKey);

			return builder.ToString().TrimEnd();
		}
	}
}
