#pragma once

#pragma region Definitions - Constants

#define MPEGTS_MAX_PACK_LENGTH 1316
#define MPEGTS_PACK_SIZE       188
#define WFD_PACK_HEADER_SIZE   12
#define BUFFER_SIZE            188*550
#define BASE_SOCKET_PORT       24030
#define WM_BADNETWORK WM_USER+1000
#define WM_GOODNETWORK WM_USER+1001
#define WM_CHECKRECEIVEDATA WM_USER+1002
#define WM_TCPDisconnected WM_USER+1003
#define MAXReferencePacket 3000
#define DEFAULT_PORT "24030"
#define DEFAULT_BUFLEN 262144//131072
#define DEF_LOG_BUFFER_SIZE 512
#define DEF_RTP_PACKET_HEADER_SIZE 8
#define DEF_MPEG_TS_HEADER_SIZE 4
#define DEF_MPEG_TS_MAXIMUM_PACKET_COUNT 7

#pragma endregion

#pragma region Definitions - Error Codes

#define S_SOCKET_OK                      0X10
#define E_SOCKET_CLOSE		             0X11
#define E_SOCKET_FAIL                    0X12
#define E_SOCKET_NOT_READY               0x13

#pragma endregion

#pragma region Definitions - Strings

#define DEF_REGISTRY_KEY_SOURCE_FILTER_ROOT_PATH L"SOFTWARE\\OEM\\AcerEXTEND\\SourceFilter"
#define DEF_REGISTRY_KEY_SOURCE_FILTER_VALUE_NAME_NEED_OUTPUT_LOG L"NeedOutputLog"

#pragma endregion

#pragma region Enums

enum ConnectionType
{
	UDP = 1,
	TCP = 2,
	Others = 3
};

#pragma endregion

#pragma region Structures

typedef struct
{
	byte nHeader[12];
} MSG_HEADER, *PMSG_HEADER;

typedef struct
{
	CHAR MPEGTSData[MPEGTS_PACK_SIZE];
} MPEGTS_PACK, *PMPEGTS_PACK;

#pragma endregion

#pragma region COM Interfaces

interface __declspec(uuid("3F2C1CB5-8AEC-444B-AB0F-CA15CE4FDDE7")) ISourceFilter: public IUnknown
{
	virtual STDMETHODIMP InitialSetting(int) = 0;
	virtual STDMETHODIMP StartReceiving(void) = 0;
	virtual STDMETHODIMP ReConnecting(int) = 0;
	virtual STDMETHODIMP SendDummyData(void) = 0;
};

#pragma endregion