@ECHO off
setlocal

pushd %~dp0

SET ReleaseFolder=%~1
SET SolutionFolder=%~2
SET ProjectName=%~3
SET ConfigurationName=%~4
SET PlatformName=%~5

ECHO.
ECHO Run VNCClientPostBuild.bat file --------------------------------------
ECHO ReleaseFolder=%ReleaseFolder%
ECHO SolutionFolder=%SolutionFolder%
ECHO ProjectName=%ProjectName%
ECHO ConfigurationName=%ConfigurationName%
ECHO PlatformName=%PlatformName%

:: Creates VNCClient folder in "...\AirFusion\FinalRelease\"
SET VNCClientFolderPathAMD64=%SolutionFolder%FinalRelease\%ProjectName%\%ConfigurationName%\AMD64
ECHO VNCClientFolderPathAMD64=%VNCClientFolderPathAMD64%

SET VNCClientFolderPathX86=%SolutionFolder%FinalRelease\%ProjectName%\%ConfigurationName%\X86
ECHO VNCClientFolderPathX86=%VNCClientFolderPathX86%

IF NOT EXIST %VNCClientFolderPathAMD64% (
	ECHO Create VNCClient AMD64 folder ...
	mkdir "%VNCClientFolderPathAMD64%"
)

IF NOT EXIST %VNCClientFolderPathX86% (
	ECHO Create VNCClient X86 folder ...
	mkdir "%VNCClientFolderPathX86%"
)

:: Copy VNCClient.dll
ECHO Copy VNCClient.dll ...
xcopy "%ReleaseFolder%InputControlClient.dll" "%VNCClientFolderPathAMD64%" /E /Y /I /F
xcopy "%ReleaseFolder%InputControlClient.dll" "%VNCClientFolderPathX86%" /E /Y /I /F

:: Copy VNCClient.pdb if ConfigurationName == Debug
IF /I "%ConfigurationName%" == "Debug" (
	ECHO Copy VNCClient.pdb ...
	xcopy "%ReleaseFolder%InputControlClient.pdb" "%VNCClientFolderPathAMD64%" /E /Y /I /F
	xcopy "%ReleaseFolder%InputControlClient.pdb" "%VNCClientFolderPathX86%" /E /Y /I /F
)


ECHO.

endlocal
popd
::EXIT